Create a new warehouse load order
curl --request POST \
--url https://api.bold-factory.com/v1/warehouse/loadOrders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transportReference": "<string>",
"name": "<string>",
"requiresValidation": true,
"loadLocationReference": "<string>",
"plannedAt": "2023-11-07T05:31:56Z",
"lines": [
{
"relatedId": "<string>",
"type": "SalesOrderLine",
"quantity": 123
}
],
"externalReference": "<string>"
}
'import requests
url = "https://api.bold-factory.com/v1/warehouse/loadOrders"
payload = {
"transportReference": "<string>",
"name": "<string>",
"requiresValidation": True,
"loadLocationReference": "<string>",
"plannedAt": "2023-11-07T05:31:56Z",
"lines": [
{
"relatedId": "<string>",
"type": "SalesOrderLine",
"quantity": 123
}
],
"externalReference": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transportReference: '<string>',
name: '<string>',
requiresValidation: true,
loadLocationReference: '<string>',
plannedAt: '2023-11-07T05:31:56Z',
lines: [{relatedId: '<string>', type: 'SalesOrderLine', quantity: 123}],
externalReference: '<string>'
})
};
fetch('https://api.bold-factory.com/v1/warehouse/loadOrders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"externalReference": "<string>",
"loadLocationId": "<string>",
"transportId": "<string>",
"loadLocation": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"transport": {
"id": "<string>",
"name": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"plannedAt": "2023-11-07T05:31:56Z",
"materialsRequestedAt": "2023-11-07T05:31:56Z",
"provisionedQuantity": 123,
"provisioningIncomingQuantity": 123,
"requiresValidation": true,
"requiredQuantity": 123,
"validatedQuantity": 123,
"loadingStartedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"lines": [
{
"id": "<string>",
"shipmentId": "<string>",
"shipmentLineId": "<string>",
"relatedId": "<string>",
"skuId": "<string>",
"requiredLotId": "<string>",
"quantity": 123,
"provisionedQuantity": 123,
"incomingQuantity": 123,
"type": "SalesOrderLine"
}
],
"validationEntries": [
{
"id": "<string>",
"shipmentId": "<string>",
"skuId": "<string>",
"lotId": "<string>",
"quantity": 123,
"containerId": "<string>",
"validatedAt": "2023-11-07T05:31:56Z",
"validatedByEmployeeId": "<string>"
}
],
"timeEntries": [
{
"id": "<string>",
"employeeId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}
],
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
}{
"type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/products/search",
"code": "FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/ENTITY_NOT_FOUND",
"title": "The entity was not found.",
"status": 404,
"detail": "Entity Product (pr_72f13bd8218h9823dfj9) was not found.",
"instance": "DELETE /v1/items/products/pr_72f13bd8218h9823dfj9",
"code": "ENTITY_NOT_FOUND"
}{
"type": "https://api.bold-factory.com/errors/CANNOT_MODIFY_CANCELLED_LINE",
"title": "Cannot modify cancelled line",
"status": 422,
"detail": "A cancelled line can't be modified.",
"instance": "PUT /v1/planning/purchaseOrders/po_sd786f78s78hgf8hg/lines/pol_n7893ytw3et7w4wfo5rf",
"code": "CANNOT_MODIFY_CANCELLED_LINE"
}Load Orders
Create a new warehouse load order
Requires Warehouse.LoadOrders.Write permissions
POST
/
v1
/
warehouse
/
loadOrders
Create a new warehouse load order
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Cuerpo
application/json
Respuesta
Created
Opciones disponibles:
Draft, Planned, Loading, Paused, Completed, Cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Opciones disponibles:
NotRequested, Requested Opciones disponibles:
Pending, NotRequested, PartiallyProvisioned, FullyPlanned, Ready, NotRequired Opciones disponibles:
Unvalidated, PartiallyValidated, FullyValidated Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I